Subject: Re: bug#38708: [PATCH] Deduplicate flonum and bignum constants in bytecode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Dec 2019 21:07:34 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 28 Dec 2019 19:50:14 +0100
> Cc: [email-masked]
> 
> Obviously it's a small change, and one that I'm prepared to revert if required. But I would like to understand the reason and principles behind it. I want elisp to be faster; we have promised exactly nobody that each numeric literal has its own identity, nor is that a reasonable assumption by a programmer to make.

IMO, this discussion should happen on emacs-devel, not here.  Some
people whose opinions might be important don't read the bug list.